Межсайтовый скриптинг в phpVideoPro

Дата публикации:
17.01.2012
Дата изменения:
17.01.2012
Всего просмотров:
814
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:P/RL:U/RC:C) = Base:4.3/Temporal:3.9
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:P/RL:U/RC:C) = Base:4.3/Temporal:3.9
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
phpVideoPro 0.x
Уязвимые версии: phpVideoPro 0.9.7, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в URL в сценариях login.php, configure.php, medialist.php, setfilter.php, search.php, listgen.php и label.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "topic" в сценарии help/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: sourceforge.net/projects/phpvideopro/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.darksecurity.de/advisories/SSCHADV2011-041.txt

или введите имя

CAPTCHA